Subject: Re: bug#62317: bug #62317: 28.2; This byte-compiled file behaves wrongly.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Mar 2023 15:08:16 +0300

> Date: Tue, 28 Mar 2023 18:15:44 +0900 (JST)
> From: Teika Kazura <[email-masked]>
> 
> This bug is also related to native-compilation, but I can't demonstrate it in a simple way.
> 
> The situation for the init.el that I really use is:
> * I suspect that the pair of require - set-buffer causes the bug. At least, the above workaround works, wrapping set-buffer.
> * There the existence of init.elc does not matter. Instead, the init-<hash>.eln is the problem. By removing it, the bug disappears.
> * But each time I run emacs, an eln is automatically generated aynchronously if it's lacking. (I can't find what causes automatic native compilation.)

Native compilation is always triggered when Emacs loads a .elc file
for which there is no corresponding .eln.

> Anyway fixing this bug will solve other native-compilation related bugs, if any. 

CC'ing Andrea.